<?php

$config = array(
	'EvInventory' => array(
		/**
		 * The available warning level actions and the label
		 */
		'warningActions' => array(
			'email' => 'Email admin',
			'warning' => 'Show low stock on product page'
		),

		/**
		 * The available out of stock actions and the label
		 * Currently ordered so that long options are on the right
		 */
		'oosActions' => array(
			'email' => 'Email admin',
			'delayed' => 'Show leadtime warning on product page',
			'stop' => 'Stop selling'

		),

		/**
		 * delayed message
		 */
		'delayedMessage' => 'There is a slight delay with delivery of this product.',

		/**
		 * out of stock messaage
		 */
		'oosMessage' => 'This product is currently out of stock',

		/**
		 * not enough stock message
		 */
		'notEnoughStockMessage' => 'Sadly there isn\'t enough stock to fulfil your requirements',

		/**
		 * low stock level message
		 */
		'lowStockMessage' => 'Only a few items remain!',

		/**
		 * BelongsTo Relationships for the Inventory to dynamically load
		 * So we can nicely contain the data in the emails
		*/
		'InventoryBelongsTo' => array(
		),

		/**
		 * Sub Contains for the Inventory - allows you to customise
		 * the data that is retrieve for a line item.
		 * If empty will default to all the BelongsTo Relationships
		*/
		'InventoryContains' => array(
		),

		/**
		 * Define how each model can access the data it needs to display on the emails
		*/
		'InventoryNamePath' => array(
		),

		/**
		 * Define how to generate the url for each model to manage it
		 * for any IDs, define as a sub array with the hash path syntax to retrieve it
		 */
		'InventoryUrlArray' => array(
		),

		'sendStockEmailsAfterCmsSave' => false
	)
);
